org.springframework.validation.support

## Class BindingAwareModelMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,Object>
      - - org.springframework.ui.ModelMap
        - - org.springframework.ui.ExtendedModelMap
          - - org.springframework.validation.support.BindingAwareModelMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,Object>, Model

      public class BindingAwareModelMap
      extends ExtendedModelMap

  Subclass of `ExtendedModelMap` that automatically removes a `BindingResult` object if the corresponding target attribute gets replaced.

  Used by `AnnotationMethodHandlerAdapter` and `AnnotationMethodHandlerAdapter`.

  Since:
    2.5.6
  Author:
    Juergen Hoeller
  See Also:
    `BindingResult`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingAwareModelMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `put(String key, Object value)`
    `void` | `putAll(Map<? extends String,?> map)`

    - ### Methods inherited from class org.springframework.ui.ExtendedModelMap

      `addAllAttributes, addAllAttributes, addAttribute, addAttribute, asMap, mergeAttributes`

    - ### Methods inherited from class org.springframework.ui.ModelMap

      `containsAttribute`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.ui.Model

      `containsAttribute`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### BindingAwareModelMap

          public BindingAwareModelMap()

  - ### Method Detail

    - #### put

          public Object put(String key,
                            Object value)

      Specified by:
        `put` in interface `Map<String,Object>`
      Overrides:
        `put` in class `HashMap<String,Object>`

    - #### putAll

          public void putAll(Map<? extends String,?> map)

      Specified by:
        `putAll` in interface `Map<String,Object>`
      Overrides:
        `putAll` in class `HashMap<String,Object>`